---
title: "Installation"
date: 2020-08-16
draft: false
description: "How to install the Congo theme."
slug: "installation"
tags: ["installation", "docs"]
showDate: false
showAuthor: false
---

Simply follow the standard Hugo [Quick Start](https://gohugo.io/getting-started/quick-start/) procedure to get up and running quickly.

Detailed instructions can be found below.

## Install Hugo

You can find specific instructions for your platform in the official [Hugo docs](https://gohugo.io/getting-started/installing.).

Make sure you are using **Hugo version 0.86.1** or later as the theme takes advantage of some of the latest Hugo features.

## Create a new site

Run the command `hugo new site mywebsite` to create a new Hugo site in a folder named `mywebsite`.

## Download the Congo theme

There are a couple of ways to install the Congo theme into your Hugo website. The git method is the easiest to keep the theme up-to-date, but you can also download and install manually if you don't have git available.

### Install using git

Change into the directory for your Hugo website, initialise a new repository and add Congo as a submodule.

```bash
cd mywebsite
git init
git submodule add -b stable https://github.com/jpanther/Congo.git themes/congo
```

{{< alert >}}
**Note:** You need to substitute `mywebsite` for the correct folder name you used in Step 2.
{{< /alert >}}

### Install manually

Download the latest release of the theme.

{{< button href="https://github.com/jpanther/Congo/releases" target="_blank" >}}Download from Github{{< /button >}}

Extract the archive, rename the folder to `congo` and move it to the `themes/` directory inside your your `mywebsite` folder.

{{< alert >}}
**Note:** You need to substitute `mywebsite` for the correct folder name you used in Step 2.
{{< /alert >}}

## Set up your configuration files

In the root folder of your website, delete the `config.toml` file that was generated by Hugo. Copy the entire `config` folder from `themes/congo/config/` into the root of your website. This will ensure you have all the correct theme settings and will enable you to easily customise the theme.

You're now all set up to use Congo. From here you can add some content and start the Hugo server.

Refer to the Hugo docs for more information or read the next section to learn more about configuring the theme.
